View Issue Details

IDProjectCategoryView StatusLast Update
0001890SketcherFeaturepublic2015-06-01 07:50
ReporternormandcAssigned Toabdullah 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.16 
Summary0001890: Add "non-driving dimensions" capability to the sketcher
DescriptionNon-driving dimensions are dimensions that do not control the geometry, thus they are not technically constraints. They can be useful to check dimensions of some geometry elements when other constraints are edited.
Additional InformationOne way to implement non-driving dimensions would be to add a toggle button in the Sketcher constraints toolbar to "deactivate" or "reactivate" selected dimensional constraint(s). Assigning a specific color to deactivated dimensional constraints would provide a visual cue to the end user to quickly determine which dimensional constraint is "deactivated".

When moving/translating/rotating geometry in an underconstrained sketch, it would be useful if the "deactivated" dimensional constraints would update dynamically.

All dimensional constraints should be supported (horizontal distance, vertical distance, length, radius and angle).

Suggestions to replace the term "deactivate": suppress, disable/enable. Input welcome on this.

Forum link: http://forum.freecadweb.org/viewtopic.php?f=3&t=9159#p74432
TagsNo tags attached.

Relationships

related to 0001651 closedabdullah Sketcher: Add a measurement tool 

Activities

normandc

2015-01-01 20:13

manager   ~0005479

Any idea why I can't edit the Project field to change it from "FreeCAD" to "Sketcher"?

normandc

2015-01-13 01:27

manager   ~0005646

Never mind, had to click on the "Move" button.

Related Changesets

FreeCAD: master a1c3b942

2015-05-26 14:37:22

Abdullah Tahiri


Committer: wmayer Details Diff
Sketcher: Driving/reference creation improvements and some other fixes
======================================================================

- Changing from Driving to reference does not include unnecessary solvings.
- Added some checks to avoid making Driving constraints when calling directly from python and involving only external geometry (would give redundant constraints).
- New python command toggleDriving to just change the status from reference to Driving
- New UI toolbar Command to toggle constraints
- Fix to allow switching from/to construction mode during continuous mode creation.
- Enable/Disable for constraints in constraints widget has changed to operate on multiselection and now effects "toggle" instead of enable/disable.
- Disable the option to directly create a SnellsLaw non-driving constraint (this constraint does not support direct creation, it can be toggled to non-driving after creation though).
Affected Issues
0001651, 0001890
mod - src/Mod/Sketcher/App/SketchObject.cpp Diff File
mod - src/Mod/Sketcher/App/SketchObject.h Diff File
mod - src/Mod/Sketcher/App/SketchObjectPy.xml Diff File
mod - src/Mod/Sketcher/App/SketchObjectPyImp.cpp Diff File
mod - src/Mod/Sketcher/Gui/CommandConstraints.cpp Diff File
mod - src/Mod/Sketcher/Gui/CommandCreateGeo.cpp Diff File
mod - src/Mod/Sketcher/Gui/TaskSketcherConstrains.cpp Diff File
mod - src/Mod/Sketcher/Gui/TaskSketcherConstrains.ui Diff File
mod - src/Mod/Sketcher/Gui/Workbench.cpp Diff File

Issue History

Date Modified Username Field Change
2015-01-01 20:09 normandc New Issue
2015-01-01 20:09 normandc Status new => assigned
2015-01-01 20:09 normandc Assigned To => abdullah
2015-01-01 20:13 normandc Note Added: 0005479
2015-01-02 18:03 normandc Project FreeCAD => Sketcher
2015-01-12 12:31 wmayer Relationship added related to 0001651
2015-01-13 01:27 normandc Note Added: 0005646
2015-01-25 15:41 yorik Target Version 0.15 =>
2015-06-01 07:50 wmayer Changeset attached => FreeCAD Master master a1c3b942
2015-06-01 07:50 wmayer Status assigned => closed
2015-06-01 07:50 wmayer Resolution open => fixed
2015-06-01 07:50 wmayer Fixed in Version => 0.16